package com.patzn.lims.frame.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.patzn.lims.core.web.IBaseService;
import com.patzn.lims.frame.entity.LmsFrameFile;
import com.patzn.lims.frame.entity.LmsFrameUnconformImprove;
import com.patzn.lims.frame.vo.LmsFrameUnconformImproveVO;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletResponse;
import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author patzn123
 * @since 2018-01-10
 */
public interface ILmsFrameUnconformImproveService extends IBaseService<LmsFrameUnconformImprove> {

    Page<LmsFrameUnconformImprove> page(Page<LmsFrameUnconformImprove> page, LmsFrameUnconformImprove lmsFrameUnconformImprove);

    List<LmsFrameUnconformImprove> list(LmsFrameUnconformImprove lmsFrameUnconformImprove);

    LmsFrameUnconformImproveVO getVOById(Long id);

    LmsFrameUnconformImproveVO getTempVO();

    Boolean add(LmsFrameUnconformImprove lmsFrameUnconformImprove);

    Boolean delete(Long[] ids);

    LmsFrameFile uploadFile(MultipartFile file, LmsFrameUnconformImprove lmsFrameUnconformImprove);

    void downloadFile(Long id, HttpServletResponse response);

    Boolean deleteFile(Long id);

    Boolean submit(List<Long> longs);

    boolean existByIds(Long[] ids);
}
